
From: Andi Kleen <ak@suse.de>

There's usually no reason for including the same header file twice.

The patch below removes such duplicate includes in x86_64 specific files.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/entry.S       |    1 -
 25-akpm/arch/x86_64/kernel/module.c      |    1 -
 25-akpm/arch/x86_64/kernel/setup.c       |    1 -
 25-akpm/arch/x86_64/kernel/time.c        |    1 -
 25-akpm/arch/x86_64/kernel/x8664_ksyms.c |    1 -
 25-akpm/include/asm-x86_64/pci.h         |    1 -
 6 files changed, 6 deletions(-)

diff -puN arch/x86_64/kernel/entry.S~x86_64-remove-duplicated-includes arch/x86_64/kernel/entry.S
--- 25/arch/x86_64/kernel/entry.S~x86_64-remove-duplicated-includes	2005-01-23 14:40:00.983897296 -0800
+++ 25-akpm/arch/x86_64/kernel/entry.S	2005-01-23 14:40:01.008893496 -0800
@@ -41,7 +41,6 @@
 #include <asm/unistd.h>
 #include <asm/thread_info.h>
 #include <asm/hw_irq.h>
-#include <asm/errno.h>
 
 	.code64
 
diff -puN arch/x86_64/kernel/module.c~x86_64-remove-duplicated-includes arch/x86_64/kernel/module.c
--- 25/arch/x86_64/kernel/module.c~x86_64-remove-duplicated-includes	2005-01-23 14:40:00.985896992 -0800
+++ 25-akpm/arch/x86_64/kernel/module.c	2005-01-23 14:40:01.009893344 -0800
@@ -23,7 +23,6 @@
 #include <linux/string.h>
 #include <linux/kernel.h>
 #include <linux/slab.h>
-#include <linux/vmalloc.h>
 
 #include <asm/system.h>
 #include <asm/page.h>
diff -puN arch/x86_64/kernel/setup.c~x86_64-remove-duplicated-includes arch/x86_64/kernel/setup.c
--- 25/arch/x86_64/kernel/setup.c~x86_64-remove-duplicated-includes	2005-01-23 14:40:00.995895472 -0800
+++ 25-akpm/arch/x86_64/kernel/setup.c	2005-01-23 14:40:01.009893344 -0800
@@ -53,7 +53,6 @@
 #include <asm/mpspec.h>
 #include <asm/mmu_context.h>
 #include <asm/bootsetup.h>
-#include <asm/smp.h>
 #include <asm/proto.h>
 #include <asm/setup.h>
 #include <asm/mach_apic.h>
diff -puN arch/x86_64/kernel/time.c~x86_64-remove-duplicated-includes arch/x86_64/kernel/time.c
--- 25/arch/x86_64/kernel/time.c~x86_64-remove-duplicated-includes	2005-01-23 14:40:00.996895320 -0800
+++ 25-akpm/arch/x86_64/kernel/time.c	2005-01-23 14:40:01.010893192 -0800
@@ -1029,7 +1029,6 @@ device_initcall(time_init_device);
  * For (3), we use interrupts at 64Hz or user specified periodic
  * frequency, whichever is higher.
  */
-#include <linux/mc146818rtc.h>
 #include <linux/rtc.h>
 
 extern irqreturn_t rtc_interrupt(int irq, void *dev_id, struct pt_regs *regs);
diff -puN arch/x86_64/kernel/x8664_ksyms.c~x86_64-remove-duplicated-includes arch/x86_64/kernel/x8664_ksyms.c
--- 25/arch/x86_64/kernel/x8664_ksyms.c~x86_64-remove-duplicated-includes	2005-01-23 14:40:00.998895016 -0800
+++ 25-akpm/arch/x86_64/kernel/x8664_ksyms.c	2005-01-23 14:40:01.011893040 -0800
@@ -30,7 +30,6 @@
 #include <asm/nmi.h>
 #include <asm/kdebug.h>
 #include <asm/unistd.h>
-#include <asm/delay.h>
 #include <asm/tlbflush.h>
 #include <asm/kdebug.h>
 
diff -puN include/asm-x86_64/pci.h~x86_64-remove-duplicated-includes include/asm-x86_64/pci.h
--- 25/include/asm-x86_64/pci.h~x86_64-remove-duplicated-includes	2005-01-23 14:40:01.004894104 -0800
+++ 25-akpm/include/asm-x86_64/pci.h	2005-01-23 14:40:01.011893040 -0800
@@ -41,7 +41,6 @@ int pcibios_set_irq_routing(struct pci_d
 #include <linux/slab.h>
 #include <asm/scatterlist.h>
 #include <linux/string.h>
-#include <asm/io.h>
 #include <asm/page.h>
 
 extern int iommu_setup(char *opt);
_
